
<style>


  * {
    margin: 0;
  }
  html, body {
    height: 100%;
  }
  .wrapper {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -4em;

  }
  .footer, .push {
    height: 20em;
    margin: auto;
    width: 20%;
    padding: 10px;


  }

  .center_div{
    margin: 0 auto;
    width:80% /* value of your choice which suits your alignment */
  }
  #tfnewsearch{
      float:right;
      padding:20px;
  }
  .tftextinput{
      margin: 0;
      padding: 5px 15px;
      font-family: Arial, Helvetica, sans-serif;
      font-size:14px;
      border:1px solid #0076a3; border-right:0px;
      border-top-left-radius: 5px 5px;
      border-bottom-left-radius: 5px 5px;
  }
  .tfbutton {
      margin: 0;
      padding: 5px 15px;
      font-family: Arial, Helvetica, sans-serif;
      font-size:14px;
      outline: none;
      cursor: pointer;
      text-align: center;
      text-decoration: none;
      color: #ffffff;
      border: solid 1px #0076a3; border-right:0px;
      background: #0095cd;
      background: -webkit-gradient(linear, left top, left bottom, from(#00adee), to(#0078a5));
      background: -moz-linear-gradient(top,  #00adee,  #0078a5);
      border-top-right-radius: 5px 5px;
      border-bottom-right-radius: 5px 5px;
  }
  .tfbutton:hover {
      text-decoration: none;
      background: #007ead;
      background: -webkit-gradient(linear, left top, left bottom, from(#0095cc), to(#00678e));
      background: -moz-linear-gradient(top,  #0095cc,  #00678e);
  }
  /* Fixes submit button height problem in Firefox */
  .tfbutton::-moz-focus-inner {
      border: 0;
  }
  .tfclear{
      clear:both;
  }



</style>
<div ng-include="'./app/view/Includes/Header.html'"></div>
<div class="container">
    <div id="tfheader">
        <input class="tftextinput" type="text" auto-complete-directive url={{locationURL}} ng-model="searchParameter"
               placeholder="Search Book Title">
        <button type="button"  ng-click="searchBook(searchParameter)" class="tfbutton">search</button>
        <div class="tfclear">
        </div>
    </div>
<br>
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Book Details</h3>
                    <div class="box-tools">
                        <div class="input-group" style="width: 150px;">
                            <div class="input-group-btn">

                                <span>
                                    <a  class="btn btn-sm btn-default btn-primary" href="#/addBooks" data-ng-click="emptyFrom()" style="margin-right: 16px;">Add Books</a>
                                </span>
                                <span>
                                    <a class="btn btn-sm btn-default btn-primary" href="#/sortBooks" data-ng-click="getBooksForSorting()" style="margin-right: 16px;">Order Books</a>
                                </span>
                                <span>
                                    <a class="btn btn-sm btn-default btn-primary" href="#/getPublishBooks" data-ng-click="getpublishedBooks()" style="margin-right: 16px;">Published Books</a>
                                </span>
                                <span>
                                    <a class="btn btn-sm btn-default btn-primary" href="#/getUnPublishBooks" data-ng-click="getUnpublishedBooks()">Unpublished Books</a>
                                </span>

                            </div>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th>Title</th>
                            <th>Published Date</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody style="overflow: scroll;height: 500px">
                        <tr ng-repeat="bookDetails in listingData track by $index">
                            <td>{{bookDetails.Title}}</td>
                            <td>{{bookDetails.PublishedDate | date:'mediumDate'}}</td>

                            <td>
                              <!--  <a class="btn btn-info" ng-href="#/editBookDetails" ng-click="editBook(bookDetails)">Edit</a>-->
                              <a class="btn btn-info" href="#/editBookDetails/{{bookDetails.bookId}}" >Edit</a>
                                <a type="button"  class="btn btn-danger"  ng-click="openDeleteBook(bookDetails)">
                                    <span ng-if="bookDetails.isDeleteBook==1">Archive</span><span ng-if="bookDetails.isDeleteBook==0">Unarchive</span>
                                </a>
                               <span ng-if="bookDetails.isPublished===0">
                                 <a class="btn btn-default btn-primary" ng-click="openPublishBookCart(bookDetails)" class="btn btn-info">publish</a>
                                 </span>
                                <span ng-if="bookDetails.isPublished===1">
                              <a class="btn  btn-daefault btn-primary" class="btn btn-info" ng-click="openPublishBookCart(bookDetails)">UnPublish</a>
                              </span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</div>

<br/>
<br/>

<div class="footer" style="min-width:100%;max-width:100%" >
  <div style="min-width:100%;max-width:100%;text-align:center" ng-include="'./app/view/pagination.html'" ></div>
</div>



